Reimagine
curl --request POST \
--url https://api.novita.ai/v3/reimagine \
--header 'Authorization: <authorization>' \
--header 'Content-Type: <content-type>' \
--data '
{
"extra": {
"response_image_type": "<string>",
"enterprise_plan": {
"enabled": true
}
},
"image_file": "<string>"
}
'import requests
url = "https://api.novita.ai/v3/reimagine"
payload = {
"extra": {
"response_image_type": "<string>",
"enterprise_plan": { "enabled": True }
},
"image_file": "<string>"
}
headers = {
"Content-Type": "<content-type>",
"Authorization": "<authorization>"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': '<content-type>', Authorization: '<authorization>'},
body: JSON.stringify({
extra: {response_image_type: '<string>', enterprise_plan: {enabled: true}},
image_file: '<string>'
})
};
fetch('https://api.novita.ai/v3/reimagine', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"image_file": "<string>",
"image_type": "<string>"
}Image Generator
Reimagine
POST
/
v3
/
reimagine
Reimagine
This feature allows you to automatically generate variations of a single image.
HTTP status codes in the 2xx range indicate that the request has been successfully accepted. A code of 400 signifies a request parameter error, while status codes in the 5xx range indicate internal server errors.
You can retrieve the image URL in the

Request Headers
Enum:
application/jsonBearer authentication format, for example: Bearer {{API Key}}.
Request Body
Optional extra parameters for the request.
Show properties
Show properties
The returned image type. Default is png.Enum:
png, webp, jpegDedicated Endpoints settings, which only take effect for users who have already subscribed to the Dedicated Endpoints Documentation.
Show properties
Show properties
Set to true to schedule this task to use your Dedicated Endpoints’s dedicated resources. Default is false.
The base64 of original image, with a maximum resolution of 1024 x 1024 and a maximum file size of 30 Mb.
Response
The Base64-encoded content of the returned image.
The returned image type.
Enum:
Enum:
png, webp, jpegExample
This API allows you to automatically generate multiple variations of a single image. Try it in playground.Request:
curl --location --request POST 'https://api.novita.ai/v3/reimagine' \
--header 'Authorization: Bearer {{API Key}}' \
--header 'Content-Type: application/json' \
--data-raw '{
"image_file":"{{Base64 encoded image}}"
}'
image_file field of the response in base64 format.
Response:
{
"image_file": "{{Base64 encoded image}}",
"image_type": "png"
}


Last modified on February 19, 2025
Was this page helpful?
⌘I